Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# IGESFile_Read.hxx File Reference

`#include <IGESData_IGESModel.hxx>`
`#include <IGESData_Protocol.hxx>`
`#include <IGESData_FileRecognizer.hxx>`

## Functions
Standard_EXPORT Standard_Integer | IGESFile_Read (char *nomfic, const Handle(IGESData_IGESModel)&amodel, const Handle(IGESData_Protocol)&protocol)
Standard_EXPORT Standard_Integer | IGESFile_ReadFNES (char *nomfic, const Handle(IGESData_IGESModel)&amodel, const Handle(IGESData_Protocol)&protocol)
Standard_EXPORT Standard_Integer | IGESFile_Read (char *nomfic, const Handle(IGESData_IGESModel)&amodel, const Handle(IGESData_Protocol)&protocol, const Handle(IGESData_FileRecognizer)&reco, const Standard_Boolean modefnes=Standard_False)

## Function Documentation

Standard_EXPORT Standard_Integer IGESFile_Read | ( | char * | nomfic,
|  | const Handle(IGESData_IGESModel)& | amodel,
|  | const Handle(IGESData_Protocol)& | protocol,
|  | const Handle(IGESData_FileRecognizer)& | reco,
|  | const Standard_Boolean | modefnes = `Standard_False`
| ) |

Standard_EXPORT Standard_Integer IGESFile_Read | ( | char * | nomfic,
|  | const Handle(IGESData_IGESModel)& | amodel,
|  | const Handle(IGESData_Protocol)& | protocol
| ) |

Standard_EXPORT Standard_Integer IGESFile_ReadFNES | ( | char * | nomfic,
|  | const Handle(IGESData_IGESModel)& | amodel,
|  | const Handle(IGESData_Protocol)& | protocol
| ) |